
QGIS Application - Bug report #21133

multiple crashes

2019-01-30 12:52 PM - Jim Edmunds

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows Professional 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28951

Description

Many times now since installing QGIS 3.4.2 i have had QGIS crash on me. So far as I can recall it has all been when working on a project

set up by somebody else about a year ago, but re-saved by me recently. I've tried 3.4.2 and now the latest version 3.4.3 (downloaded

today to try to fix the issue).

The crash happens variously when: 

+ Closing QGIS (high probability of crash)

+ Opening a project with missing layers and going through the 'browse' function to re-assign the layers

+ Occasionally when working on the project with no obvious reason (not running plugins, etc.)

Crash ID: 5ad41d6be94809f981e2ec9b06a0e20f1d0b0a87

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator char * __ptr64 * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 10.0.17763

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2019-01-30 12:54 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try 3.4.4 and a new/clean profile.

#2 - 2019-01-30 03:32 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#3 - 2019-01-30 03:32 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
